%global debug_package %{nil}
%global toolchain clang

Name:           pamixer
Version:        1.6
Release:        2%{?dist}
Summary:        PulseAudio command line mixer

License:        GPLv3
URL:            https://github.com/cdemoulins/%{name}
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  clang
BuildRequires:  meson
BuildRequires:  pkgconfig(cxxopts)
BuildRequires:  pkgconfig(libpulse)

%description
pamixer is like amixer but for PulseAudio. It can control the volume levels of the sinks.

Features:
* Get the current volume of the default sink, the default source or a selected one by his id
* Set the volume for the default sink, the default source or any other device
* List the sinks
* List the sources
* Increase / Decrease the volume for a device (using gamma correction optionally)
* Mute or unmute a device.


%prep
%autosetup


%build
%meson
%meson_build


%check
%meson_test


%install
%meson_install


%files
%license COPYING
%doc README.rst
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Aug 02 2024 David Andres Ramirez Salomon <david35mm@disroot.org> - 1.6-2
- Updated build dependencies following pkgconfig

* Wed Apr 24 2024 David Andres Ramirez Salomon <david35mm@disroot.org> - 1.6-1
- Build with clang and update to 1.6

* Mon Apr 25 2022 David Andres Ramirez Salomon <david35mm@disroot.org> - 1.5-1
- First pamixer package
